Package twisted :: Package manhole :: Module explorer

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.explorer

Support for python object introspection and exploration.

Note that Explorers, what with their list of attributes, are much like manhole.coil.Configurables. Someone should investigate this further. (TODO)

Classes
`CRUFT_WatchyThingie` |
`Explorer` |
`ExplorerBuiltin` |
`ExplorerClass` |
`ExplorerFunction` |
`ExplorerGeneric` |
`ExplorerImmutable` |
`ExplorerInstance` | Attribute groups:
`ExplorerMapping` |
`ExplorerMethod` |
`ExplorerModule` |
`ExplorerSequence` |
`Pool` |
`Signature` | I represent the signature of a callable.
`_MonkeysSetattrMixin` | A mix-in class providing __setattr__ for objects being watched.
`_WatchMonkey` | I hang on a method and tell you what I see.

Variable Summary
`Pool` | `explorerPool`
`int` | `False`
`int` | `True`
`dictionary` | `typeTable`

Variable Details

### explorerPool

  Type:
    `Pool`
  Value:

        {}

### False

  Type:
    `int`
  Value:

        0

### True

  Type:
    `int`
  Value:

        1

### typeTable

  Type:
    `dictionary`
  Value:

        {<type 'class'>: <class twisted.manhole.explorer.ExplorerClass at 0x83\
        f9e4c>,
         <type 'instance'>: <class twisted.manhole.explorer.ExplorerInstance a\
        t 0x83e4e84>,
         <type 'instance method'>: <class twisted.manhole.explorer.ExplorerMet\
        hod at 0x81fc534>,
         <type 'complex'>: <class twisted.manhole.explorer.ExplorerImmutable a\
        t 0x83e4f54>,
        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net